Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Fix hooks support for Ruby 1.8.7 #149

Closed
wants to merge 1 commit into from

3 participants

@andreas

Hooks work for 1.9.x, but not for Ruby 1.8.7. Relates to issue #148.

Please see discussion here: andreas@b10a06a.

@yaauie
Owner

+1

@dacort

+1 as well, this causes an exception in 1.8.7

@ghost

+1, broke some JRuby code (1.8 mode)

@andreas

Fixed in #155, which is a duplicate of this pull request.

@andreas andreas closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Apr 3, 2012
  1. @andreas

    Fix hooks for Ruby 1.8.7.

    andreas authored
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1  lib/resque_scheduler/plugin.rb
View
2  lib/resque_scheduler/plugin.rb
@@ -14,7 +14,7 @@ def run_hooks(job, pattern, *args)
end
def method_missing(method_name, *args, &block)
- if method_name =~ /^run_(.*)_hooks$/
+ if method_name.to_s =~ /^run_(.*)_hooks$/
job = args.shift
run_hooks job, $1, *args
else
Something went wrong with that request. Please try again.